<bugID>461625<Summary>Hide the UI for saving permission manager entries in Private Browsing mode</Summary><Description>Based on bug 460342 comment 3: we need to hide the pieces of UI which allows saving permission manager entries while in the Private Browsing mode.  Here are the places that I can think of right now which we need to handle:

* "Block images from xyz.com" context menu entry
* "Block images from xyz.com" in the Page Info dialog, Media tab
* "always for this website" option for the popup blocking UI
* "Use my choice for all cookies from this site" option for the cookies lifetime confirmation dialog
* The permission control inside the Page Info dialog, Permissions tab

I'm not sure if we want to handle the last one, though.</Description></bugID>